### Method

# GObject Value take_param

since: 2.4

#### Declaration

    void
    g_value_take_param (
      GValue* value,
      GParamSpec* param
    )

#### Description

Sets the contents of a `G_TYPE_PARAM` `GValue` to `param` and takes over the ownership of the caller’s reference to `param`; the caller doesn’t have to unref it any more.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`param`

  Type: `GParamSpec`

  The `GParamSpec` to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.